View Issue Details

IDProjectCategoryView StatusLast Update
0003786GNUnetutil librarypublic2018-06-07 00:25
ReporterChristian GrothoffAssigned ToChristian Grothoff 
PrioritynormalSeveritymajorReproducibilityN/A
Status closedResolutionfixed 
Platformi7OSDebian GNU/LinuxOS Versionsqueeze
Product VersionSVN HEAD 
Target Version0.11.0pre66Fixed in Version0.11.0pre66 
Summary0003786: implement combined EdDSA-ECDHE KX logic
DescriptionAPI exists, test exits, implementation is TBD based on discussion with Dan & Tanja.
TagsNo tags attached.

Activities

Christian Grothoff

2015-05-15 16:57

manager   ~0009114

Implemented in SVN 35731.

Bart Polot

2015-05-16 12:59

manager   ~0009118

EdDSA-ECDHE so OTR? This is getting deprecated in CADET, I guess there is no point in refactoring it...

Christian Grothoff

2015-05-16 13:23

manager   ~0009119

I was more thinking that this might be another answer to the question of how to do the Axolotl-DH KX and tie it to the PeerIdentity (EdDSA).

Christian Grothoff

2015-05-16 13:24

manager   ~0009120

Anyway, this is a very half-baked idea, we should discuss on Mumble. Do you have some text written on the current implementation of Axolotl in CADET? (i.e. from your thesis)?

Bart Polot

2015-05-16 13:25

manager   ~0009121

But that would be EdDSA-TripleECDHE. I haven't looked at the implementation... is it so flexible that it would allow triple DH with two permanent and two ephemeral keys?

Christian Grothoff

2015-05-16 14:07

manager   ~0009122

The new operation does one ECDH using one EdDSA key and one ECDH key. So I think it can be used as part of a triple-DH.

Issue History

Date Modified Username Field Change
2015-05-14 14:36 Christian Grothoff New Issue
2015-05-14 14:36 Christian Grothoff Status new => assigned
2015-05-14 14:36 Christian Grothoff Assigned To => Christian Grothoff
2015-05-15 16:57 Christian Grothoff Note Added: 0009114
2015-05-15 16:57 Christian Grothoff Status assigned => resolved
2015-05-15 16:57 Christian Grothoff Fixed in Version => 0.11.0pre66
2015-05-15 16:57 Christian Grothoff Resolution open => fixed
2015-05-16 12:59 Bart Polot Note Added: 0009118
2015-05-16 13:23 Christian Grothoff Note Added: 0009119
2015-05-16 13:24 Christian Grothoff Note Added: 0009120
2015-05-16 13:25 Bart Polot Note Added: 0009121
2015-05-16 14:07 Christian Grothoff Note Added: 0009122
2018-06-07 00:25 Christian Grothoff Status resolved => closed